org.eclipse.viatra.query.runtime.matchers.planning.operations

## Class POperation

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.planning.operations.POperation

- Direct Known Subclasses:
    PApply, PEnumerate, PJoin, PProject, PStart

      public abstract class POperation
      extends java.lang.Object

  Abstract superclass for representing a high-level query evaluation operation.

  Subclasses correspond to various POperations modeled after relational algebra.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `POperation()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkConsistency(SubPlan subPlan)` Checks whether this constraint can be properly applied at the given SubPlan.
    `abstract java.util.Set<? extends PConstraint>` | `getDeltaConstraints()` Newly enforced constraints
    `abstract java.lang.String` | `getShortName()`
    `abstract int` | `numParentSubPlans()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### POperation

          public POperation()

  - ### Method Detail

    - #### getDeltaConstraints

          public abstract java.util.Set<? extends PConstraint> getDeltaConstraints()

      Newly enforced constraints

    - #### getShortName

          public abstract java.lang.String getShortName()

    - #### numParentSubPlans

          public abstract int numParentSubPlans()

      Returns:
        the number of SubPlans that must be specified as parents

    - #### checkConsistency

          public void checkConsistency(SubPlan subPlan)

      Checks whether this constraint can be properly applied at the given SubPlan.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`